Subject: RE: Resolving TIFF dilemma

From: "McIntyre, Lloyd" <[email-masked]>
Date: Mon, 10 Sep 2001 13:50:39 -0700

Larry,
Your message was unclear as to whether you were really addressing TIFF-FX
interoperability or interoperability of what is exchanged within the
image/tiff content-type. To this end allow me to remind everyone that the
interoperability requirements for every feature of TIFF-FX were satisfied
two years ago, as reflected in
http://www.ietf.org/IESG/Implementations/TIFF-FAX-implementation.txt. I
agree that there is new direction to establish an interoperable image/tiff
content-type set, with a select set of deployed viewers as the baseline.
RFC 2306 is not a standards track document and there is no ambiguity with
the content of Profile F as define in THE standards track document, RFC 2301
and it's revision drafts. 

Lloyd

> -----Original Message-----
> From: Larry Masinter - [email-masked] [mailto:[email-masked]]
> Sent: Sunday, September 09, 2001 10:57 AM
> To: [email-masked]
> Subject: RE: Resolving TIFF dilemma
> 
> 
> 
> (resending from subscribed account)
> 
> > > Since ifax manufacturers sold many ifax products in 
> market based on
> > > TIFF-FX, we will have a serious problem if TIFF-FX is changed.
> > > Are there any discussion about compatibility issue for 
> existing ifax
> > > devices?
> 
> The interoperability report for RFC 2305 Internet Fax
> lists (attachment in 
> http://www.imc.org/ietf-fax/mail-archive/msg00733.html)
> as http://www.imc.org/ietf-fax/mail-archive/bin00008.bin
> lists only profile S and F:
> 
> # Content (TIFF)
> # Simple mode requires the use of the very restricted, 
> minimum set TIFF-FX
> # profile "S", although it allows use of other profiles when the
> capabilities
> # of the recipient are known. The implementors now understand 
> the difference
> # between the "S" profile and the commonly used "F" profile. 
> Most testing
> was
> # based on the S profile, but there were also several F profile
> implementations.
> 
> The recent report "IFAX implementation in Japan and choice of 
> option 1-5"
> http://www.imc.org/ietf-fax/mail-archive/msg03320.html also indicates
> that few of the profiles are supported completely (S, F, J) in the
> implementations surveyed.
> 
> Note also that "profile F" is ambiguous, because profile F
> in RFC 2301 and profile F in RFC 2306 are different in a few
> details (for example, the introduction of GlobalParametersIFD).
> 
> To move to Draft Standard, there needs to be multiple independent
> interoperable implementations of every feature of the standard
> This means two writers and two readers.
> 
> Is it possible to make available test files from current ifax
> implementations so that interoperability with typical
> email clients can be examined and tested?
> 
> For example, Kodak Imaging for Windows seems to be
> installed with many versions of Windows as the default
> display program for image/tiff. Are the TIFF files produced
> by the ifax implementations compatible with this program?
> 
> We should also test interoperability with other
> TIFF reading and writing programs too, of course.
> 
> Since there are many ifax products, it should not be
> too hard to come up with some test files for email
> interoperability testing, should it? It would be especially
> useful to have samples from other profiles and with
> different combinations of options (resolution, fillorder,
> endian, etc.)
> 
> Larry
> --
> http://larry.masinter.net
> 
> 
> 
>

---

From: "Larry Masinter" <[email-masked]>
Date: Mon, 10 Sep 2001 20:43:39 -0700

I was hoping we could make progress on the question of interoperability
between existing Internet Fax implementations and typical configurations
of email receivers and their image/tiff displayers. It would seem to
be difficult to judge without actual data and sample files from
actual Internet Fax implementations.

In any case, all of the implementations in
   http://www.ietf.org/IESG/Implementations/TIFF-FAX-implementation.txt
are described as TIFF-(F)x reader/writer, not Internet Fax implementations.
Shouldn't the criteria for Internet Fax interoperability be judged
by implementations of Internet Fax?

Larry